mailfilter (0.8.6-3) unstable; urgency=medium

  * Introduced Remove-unused-linking-with-libfl.patch. Due to the yylex
    requirement this caused FTBFS when a shared libfl is provided. libfl is
    not required due to noyywrap. Thanks to Adrian Bunk for the initial patch.
    (Closes: 892997)
  * Use a secure URL in copyright's 'Format:' Section
  * Bumped Standards-Version to 4.1.3.
  * Bumped debhelper compatibility level to >11.
  * Changed debian/compat accordingly.
  * Drop Build-Depends on dh-autotools-dev.
  * Run wrap-and-sort

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 18 Mar 2018 11:12:44 +0100

mailfilter (0.8.6-2) unstable; urgency=medium

  * Added libfl-dev to Build-Depends (Closes: 846440).
  * Removed trailing whitespace in debian/control

 -- Elimar Riesebieter <riesebie@lxtec.de>  Thu, 01 Dec 2016 12:19:55 +0100

mailfilter (0.8.6-1) unstable; urgency=medium

  * New upstream version
  * Removed 01_remove_workaround_fixed_FTBFS.patch. Upstream reworked Makefile
    respectively.
  * Removed 05-occurred-spellfix.patch. Applied from upstream.
  * debian/control
    - Corrected upstream homepage url.
  * debian/copyright
    - Added license of src/rcparser.hh src/rfc822parser.cc src/rfc822parser.hh
    and src/rcparser.cc.
    - Added a standalon paragraph for License: GPL-2.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Thu, 27 Oct 2016 10:55:18 +0200

mailfilter (0.8.4-2) unstable; urgency=medium

  * Make the build reproducible. Thanks to Reiner Herrmann for the patch
    (Closes: 828906)
  * Bumped Standards-Version to 3.9.8. No changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Wed, 29 Jun 2016 12:20:28 +0200

mailfilter (0.8.4-1) unstable; urgency=medium

  * New upstream version. Fixes a FTBFS (Closes: 812668)
  * Fixed some spellerrors via spellfixpatches.
  * debian/rules:
    - Introduced DEB_BUILD_MAINT_OPTIONS = hardening=+all.
    - Build contrib.tar.gz with BUILD_DATE timestamp. Inspired by Cris Lamb.
      (Closes: 778264)
    - Introduced debian/clean file instead of override_dh_clean.
  * debian/control:
    - Removed Ricardo Mones from uploaders with his permission. Thanks for
      your contribution.
    - Added Homepage field.
    - Bumped Standards-Version to 3.9.7. No changes needed.
    - Add myself to uploaders.
  * debian/copyright:
    - Changed to dep5-copyright.
  * Added 'set -e' stanza to maintainer scripts.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 04 Apr 2016 17:28:59 +0200

mailfilter (0.8.3-1) unstable; urgency=medium

  * New Upstream Version
    - Bug fix: "[Mayhem] Bug report on mailfilter: mailfilter crashes with
      exit status 139", thanks to Alexandre Rebert (Closes: #716522).
    - Bug fix: "FTBFS: rfc822.yy:86:19: error: &#39;param&#39; was not
      declared in this scope", thanks to David Suárez (Closes: #733380).
  * Remove debian/patches/99_timestamp_ignore.diff, was "cherry-picked" from
    Upstream, no longer needed, refresh the other two.
  * Update to dh9, standards 3.9.5

 -- Joerg Jaspert <joerg@debian.org>  Sun, 25 May 2014 23:05:23 +0200

mailfilter (0.8.2-4) unstable; urgency=medium

  * Add 99_timestamp_ignore.diff cherry picked patch from upstream
    subversion revision 20 to add option to ignore timestamps.
    Many thanks to Scott Kitterman (Closes: #661261)
  * Bumped urgency because of RC bug
  * Added Asturian translation for debconf template

 -- Ricardo Mones <mones@debian.org>  Thu, 18 Oct 2012 12:52:16 +0200

mailfilter (0.8.2-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format (and remove dpatch)
  * Update patches to follow Patch Tagging Guidelines
  * Update Standards-Version to 3.9.3 (no other changes)

 -- Ricardo Mones <mones@debian.org>  Mon, 23 Apr 2012 02:14:50 +0200

mailfilter (0.8.2-2) unstable; urgency=low

  * Modified 03_fix_invalid_conversion patch to include Ubuntu part,
    thanks Ilya Barygin (Closes: #622063)
  * Added Danish debconf template translation (Closes: #627846)
  * Updated Standards-Version to 3.9.2 (no other changes)
  * Fixed short description to remove lintian warning
  * Added recommended targets build-indep and build-arch

 -- Ricardo Mones <mones@debian.org>  Sun, 11 Sep 2011 16:32:30 +0200

mailfilter (0.8.2-1) unstable; urgency=low

  * New upstream version (Closes: #542598, #523885)
  * Bump Standards-Version to 3.8.3 (no other changes needed)
  * Added README.source for lintian cleanliness
  * Added 03_fix_invalid_conversion patch to prevent a FTBFS under
    pbuilder because of assigning strrchr result to a non-const var

 -- Ricardo Mones <mones@debian.org>  Fri, 15 Jan 2010 09:30:40 +0100

mailfilter (0.8.1-2) unstable; urgency=low

  [ Luk Claes ]
  * Remove me from Uploaders.

  [ Ricardo Mones ]
  * Add watch file (provided by Kumar Appaiah) (Closes: #455192)
  * Bump Standards-Version to 3.8.2 (no changes needed)
  * Reformatted long description a bit
  * Added 02_fix_build_newer_g++ patch to prevent FTBFS with current
    g++ (thanks Gillem Jover for the hint to fix it)
  * Add me to Uploaders
  * Add ${misc:Depends} to binary to keep lintian happy
  * Bump debhelper compat level to 5 and add versioned dependency
  * Removed empty scripts prerm and postrm

 -- Ricardo Mones <mones@debian.org>  Thu, 23 Jul 2009 01:48:24 +0200

mailfilter (0.8.1-1) unstable; urgency=low

  * New Upstream version (Closes: #440758)
  * Remove the version in the B-D for debhelper, it was for a version in woody.
  * Standards-Version 3.7.2, no changes needed
  * Enhance the copyright file a bit.
  * Also disable the dpatch, hopefully not neccessary anymore.
  * Add Build-Depends on libssl-dev, mailfilter now speaks SSL too
  * Replace old examples with a faq from the website, old examples due not work
    anymore (rcfile format changed).

 -- Joerg Jaspert <joerg@debian.org>  Sat, 15 Sep 2007 14:01:44 +0200

mailfilter (0.6.2-3) unstable; urgency=low

  * Add Portuguese debconf translation (Closes: #381365, #381367).

 -- Luk Claes <luk@debian.org>  Fri,  4 Aug 2006 08:09:45 +0200

mailfilter (0.6.2-2) unstable; urgency=high

  * Remove upstream workaround fixes FTBFS (Closes: #354196).
  * Remove autogenerated rcparser.{cc,h}.
  * Add debconf-2.0 alternative (Closes: #332017).
  * Add Vietname po-debconf translation (Closes: #312655).
  * Add Czech po-debconf translation (Closes: #298781).
  * Add Swedish po-debconf translation (Closes: #331348).
  * Add Italian po-debconf translation (Closes: #345528).
  * Add me to Uploaders.

 -- Luk Claes <luk@debian.org>  Sun, 19 Mar 2006 16:54:53 +0100

mailfilter (0.6.2-1) unstable; urgency=low

  * New Upstream Version
    - Fixed a crash which would occur if the Date field contains no
    ":" separator
  * Bug fix: "[l10:ca] mailfilter catalan debconf templates", thanks to
    Aleix Badia i Bosch (Closes: #236667).
  * Remove B-D on g++.

 -- Joerg Jaspert <joerg@debian.org>  Thu, 12 Aug 2004 21:14:36 +0200

mailfilter (0.6.1-1) unstable; urgency=low

  * New Upstream Version
    - New keyword MAXSIZE_SCORE (see man pages)
    - New scripts in contrib/
    - Mails which do not contain a valid Message-ID are no longer
      treated as being duplicates
    - Additional Polish rcfile example configurations in the doc/
      directory
  * Bug fix: "mailfilter: Japanese po-debconf template translation
    (ja.po)", thanks to Hideki Yamane (Closes: #227487).
  * Bug fix: "fr.po: [INTL:fr] French debconf templates translation",
    thanks to Christian Perrier (Closes: #232491).

 -- Joerg Jaspert <joerg@debian.org>  Mon, 16 Feb 2004 23:34:29 +0100

mailfilter (0.6.0-1) unstable; urgency=low

  * New Upstream Version
    - Polish translation added

 -- Joerg Jaspert <joerg@debian.org>  Mon,  3 Nov 2003 23:20:28 +0100

mailfilter (0.5.2-1) unstable; urgency=low

  * New Upstream Version
    - (Hopefully) resolved compile problems: since mailfilter does not
      compile with GNU-flex anymore, the code has been adjusted to depend
      on a flex version which is available from http://lex.sf.net/
    - Minor documentation changes in the FAQ
  * Depend on flex (which is the lex.sf.net stuff) again.
  * Newer Standards-Version.
  * dutch po-debconf translation (Closes: #205091)

 -- Joerg Jaspert <joerg@debian.org>  Sun, 12 Oct 2003 14:09:48 +0200

mailfilter (0.5.1-2) unstable; urgency=low

  * Build-Depend on flex-old instead of flex until mailfilter's
    rewrite is complete. Fixes broken build. (Closes: #191193)
  * Includes pt_BR Translation of debconf question. (Closes: #185893, 198365)
  * Remove std namespace fix, should work without it now.
  * Install the (new) contrib dir from mailfilter as
    /usr/share/doc/mailfilter/contrib.tar.gz

 -- Joerg Jaspert <joerg@debian.org>  Sun, 10 Aug 2003 20:44:44 +0200

mailfilter (0.5.1-1) unstable; urgency=low

  * New Upstream Version
    - Added '-r'/'--return-value' in order to make mailfilter return
      a positive integer if it scanned any messages in any POP account
      (see mailfilter (1) man page for details)
    - Added contrib directory with extra scripts and programs which can
      be used in combination with mailfilter (read its README file for
      further details)
    - Added a scoring mechanism (see man pages for further details) to
      allow more efficient filtering on mailing lists, for example
    - Fixed configuraton and compilation woes with various versions of
      gcc, flex, bison and the autotools (mainly relevant for developers)
    - Added `--test' as command-line switch to merely simulate deletes

 -- Joerg Jaspert <joerg@debian.org>  Sun, 13 Apr 2003 13:38:36 +0200

mailfilter (0.5.0-2) unstable; urgency=low

  * Fixed compilation problem with g++ 3.x (std namespace fix)
    (Closes: #161014) - thx to Julien LEMOINE <speedblue@debian.org>
    for this.
  * Moved to po-debconf stuff.
  * Jumped to Standards 3.5.9
  * Update config.guess and config.sub to fix FTBFS on mipsel
    (Closes: #176230)

 -- Joerg Jaspert <joerg@debian.org>  Sun, 16 Mar 2003 19:28:44 +0100

mailfilter (0.5.0-1) unstable; urgency=low

  * New Upstream Version
    - Updated documentation and man pages
    - APOP support (courtesy Greg Louis)
    - Greek language translation (courtesy Dimitrios Kamenopoulos)
    - Fixed Makefile bug that caused recompilation upon make install
      (courtesy Joerg Jaspert)
  * debhelper 4.xx
  * Standards-Version 3.5.7
  * Cleaned debian/rules script
  * Cleaned README.Debian.

 -- Joerg Jaspert <joerg@debian.org>  Sat, 14 Sep 2002 14:15:57 +0200

mailfilter (0.4.0-1) unstable; urgency=low

  * New Upstream Version.
    - Updated documentation
    - Updated language translations (German, Spanish)

 -- Joerg Jaspert <joerg@debian.org>  Wed, 29 May 2002 18:55:47 +0200

mailfilter (0.3.3-1) unstable; urgency=medium

  * New Upstream Version.
    - Mailfilter now supports POP3 servers that make use of several streams/
      connections/whatever to send back acknowledgements during the login
      period
    - Added Russian translation, courtesy Ilgiz Kalmetev
    - Fixed a bug that caused mailfilter to crash under certain conditions,
      upon syntax errors in the rcfile
    - The -L and -v command line switches override any rcfile directives
      (again), as it should be
    - Syntax errors in configuration files are reported correctly now
    - Headers are not logged twice anymore, if SHOW_HEADERS=yes and VERBOSE=6
    - Nested rcfiles possible now (use INCLUDE as keyword)
  * This fixes some bugs with 0.3.2 that we dont want in woody. So
    urgency=medium.
  * Changed my Email address to @debian.org

 -- Joerg Jaspert <joerg@debian.org>  Mon, 22 Apr 2002 20:34:34 +0200

mailfilter (0.3.2-4) unstable; urgency=low

  * Added Russian Translation of Mailfilter Messages. (Forwarded to
    Upstream, but until he release a new version i include it manual).
    Again thx to Ilgiz Kalmetev.
  * Close this bug again, -3 was not uploaded to Debian. (closes: #136598)

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Mon,  4 Mar 2002 12:53:37 +0100

mailfilter (0.3.2-3) unstable; urgency=low

  * Added Russian Template. Thanks to Ilgiz Kalmetev. (closes: #136598)

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Sun,  3 Mar 2002 15:19:16 +0100

mailfilter (0.3.2-2) unstable; urgency=low

  * Added Build-Depend on flex. (closes: #135980)

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Wed, 27 Feb 2002 13:22:37 +0100

mailfilter (0.3.2-1) unstable; urgency=low

  * New Upstream Release:
    - Improved rcfile parsing, trailing white space characters are possible
      now
    - Improved logging and verbosity capabilities (see mailfilterrc(5) for
      details)
    - Usernames and passwords may consist exclusively of digits now
    - Fixed a type conversion problem in signal handling code, such that
      compilation works again with FreeBSD 4.4-RELEASE
    - Minor documentation updates (faq, man pages, etc.)
    - Fixed a minor incompatibility with Windows configuration files,
      such that bison gets invoked correctly

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Wed, 20 Feb 2002 15:14:51 +0100

mailfilter (0.3.1-4) unstable; urgency=low

  * And now there is a French Translation. Thanks to Eric Van Buggenhaut.

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Sun, 18 Nov 2001 19:34:34 +0100

mailfilter (0.3.1-3) unstable; urgency=low

  * Fixed spelling in English Template and added Spanish Translation.
    Thanks to Carlos Valdivia Yagüe. (closes: #120095)

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Sun, 18 Nov 2001 17:22:02 +0100

mailfilter (0.3.1-2) unstable; urgency=low

  * Fixed. Now delete config.[cache|status] in clean rule

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Sun, 18 Nov 2001 13:07:48 +0100

mailfilter (0.3.1-1) unstable; urgency=low

  * Newest CVS:
    - Added time out signal handler for network connection code
    - Added signal handler to catch SIGINT, i.e. ctrl-c
    - Fixed a bug that caused Mailfilter to swallow a newline, in case of
      empty subject strings (bad)

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Wed, 14 Nov 2001 18:14:21 +0100

mailfilter (0.3.0-1) unstable; urgency=low

  * New Upstream Release:
   - Program compiles and runs (again) under MS-Windows with Cygwin and
     the like (see doc/README.Windows)
   - rcfile must be in $HOME now and is not expected to be in
     /home/<username> anymore
   - Upon popular demand the default setting of MAXLENGTH is '0' now,
     i.e. the feature is disabled by default
   - Restructured the verbosity levels; see mailfilterrc(5) man
     page for details, please
   - Removed internal string handling bugs that confused the
     Regular Expression compilation

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Wed,  7 Nov 2001 17:12:49 +0100

mailfilter (0.2.4-1) unstable; urgency=high

  * New Upstream Release:
    - Added option to define a time span in seconds that Mailfilter waits
      for a server response, after a command was issued, keyword TIMEOUT
    - Added option to define maximum line lengths of header fields,
      keyword MAXLENGTH
    - Changed header parsing slightly, such that program output
      does not contain unwanted control characters anymore
    - Added Russian translation of an example rcfile (courtesy of
      Alex A. Puchow)
    - Fixed a bug in normalisation that threw Mailfilter in an endless loop
      if subjects ended with more than the two usual white-space characters
      <CR><LF>
    - If maximum line length is exceeded, then Mailfilter prompts which
      header field caused the deletion

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Fri, 12 Oct 2001 12:07:06 +0200

mailfilter (0.2.3-1) unstable; urgency=low

  New Stable Upstream. Changes in it:
   - Updated and extended the FAQ and man pages
   - Bugfix: No more endless loops in the normalisation process if
     subject line ends with a whole bunch of white-space characters,
     ie more than the usual two <CR><LF>
   - Bugfix: Normalisation handles multiple spaces/blanks correctly
     now
   - Bugfix: field-names may now start in lower case letters, ie
     parsing should be fully RFC822 compliant
   - Bugfix: the closing tags for e-mail headers are not parsed and
     processed anymore
   - Translations are now part of the RPM packages
   - Message size of deleted messages (MAXSIZE) appears in logs

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Thu, 16 Aug 2001 00:36:34 +0200

mailfilter (0.2.1d-1) unstable; urgency=low

  * New Stable mailfilter 0.2.1. Version Number in Debian 0.2.1d because
    old unstable Source had Number 0.2.1 too.

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Wed, 11 Jul 2001 00:12:19 +0200

mailfilter (0.2.1-3) unstable; urgency=low

  * Newest Version. Its Mailfilter 0.2.1 stable now.
  * Includes 2 Examples of mailfilterrc from Upstream Author.

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Tue, 10 Jul 2001 11:45:24 +0200

mailfilter (0.2.1-2) unstable; urgency=low

  * Corrected Build-Depends.
  * Upload of Package Mailfilter so we can close the Bug
    in wnpp, Closes: #101152

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Sat, 30 Jun 2001 22:13:35 +0200

mailfilter (0.2.1-1) unstable; urgency=low

  * Woops. Mailfilter stable is 0.2.0 but we use Mailfilter from CVS
    which is 0.2.1 - so we have to show it :)

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Tue, 26 Jun 2001 09:22:20 +0200

mailfilter (0.2.0-3) unstable; urgency=low

  * mailfilterrc example added.
  * Debconf Note about mailfilterrc in examples Subdir added.

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Sun, 24 Jun 2001 15:44:22 +0200

mailfilter (0.2.0-2) unstable; urgency=low

  * Some changes. Now .diff is smaller :)

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Sat, 23 Jun 2001 00:31:27 +0200

mailfilter (0.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Fri, 22 Jun 2001 16:51:47 +0200


